aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/gcc.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:52:08 -0600
committerWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:52:08 -0600
commit2c8204d6325a1a6607392d5905227b9043da17cc (patch)
tree5a2d9047d0a3fb5664c17284b92c6e572507d062 /chapter8/gcc.sh
parentf699702e72de8200632cfb95350ad51bb68c4b6f (diff)
Major updates.
Diffstat (limited to 'chapter8/gcc.sh')
-rw-r--r--chapter8/gcc.sh94
1 files changed, 47 insertions, 47 deletions
diff --git a/chapter8/gcc.sh b/chapter8/gcc.sh
index c72e737..9b0f8f7 100644
--- a/chapter8/gcc.sh
+++ b/chapter8/gcc.sh
@@ -1,47 +1,47 @@
-#!/bin/bash
-set -e
-
-case $(uname -m) in
- x86_64)
- sed -e '/m64=/s/lib64/lib/' \
- -i.orig gcc/config/i386/t-linux64
- ;;
-esac
-
-mkdir -v build
-cd build || exit 1
-
-../configure --prefix=/usr \
- LD=ld \
- --enable-languages=c,c++ \
- --disable-multilib \
- --disable-bootstrap \
- --with-system-zlib &&
-
-make &&
-
-make -j1 install &&
-rm -rf /usr/lib/gcc/"$(gcc -dumpmachine)"/"${VERSION}"/include-fixed/bits/ &&
-
-chown -v -R root:root \
- /usr/lib/gcc/*linux-gnu/"${VERSION}"/include{,-fixed} &&
-
-ln -sv ../usr/bin/cpp /lib &&
-
-ln -sfv ../../libexec/gcc/"$(gcc -dumpmachine)"/"${VERSION}"/liblto_plugin.so \
- /usr/lib/bfd-plugins/ &&
-
-echo 'int main(){}' > dummy.c
-cc dummy.c -v -Wl,--verbose &> dummy.log &&
-readelf -l a.out | grep ': /lib' &&
-
-grep -o '/usr/lib.*/crt[1in].*succeeded' dummy.log &&
-grep -B4 '^ /usr/include' dummy.log &&
-grep 'SEARCH.*/usr/lib' dummy.log |sed 's|; |\n|g' &&
-grep "/lib.*/libc.so.6 " dummy.log &&
-grep found dummy.log &&
-
-rm -v dummy.c a.out dummy.log &&
-
-mkdir -pv /usr/share/gdb/auto-load/usr/lib &&
-mv -v /usr/lib/*gdb.py /usr/share/gdb/auto-load/usr/lib
+#!/bin/bash
+set -e
+
+case $(uname -m) in
+ x86_64)
+ sed -e '/m64=/s/lib64/lib/' \
+ -i.orig gcc/config/i386/t-linux64
+ ;;
+esac
+
+mkdir -v build
+cd build || exit 1
+
+../configure --prefix=/usr \
+ LD=ld \
+ --enable-languages=c,c++ \
+ --disable-multilib \
+ --disable-bootstrap \
+ --with-system-zlib &&
+
+make &&
+
+make -j1 install &&
+rm -rf /usr/lib/gcc/"$(gcc -dumpmachine)"/"${VERSION}"/include-fixed/bits/ &&
+
+chown -v -R root:root \
+ /usr/lib/gcc/*linux-gnu/"${VERSION}"/include{,-fixed} &&
+
+ln -sv ../usr/bin/cpp /lib &&
+
+ln -sfv ../../libexec/gcc/"$(gcc -dumpmachine)"/"${VERSION}"/liblto_plugin.so \
+ /usr/lib/bfd-plugins/ &&
+
+echo 'int main(){}' > dummy.c
+cc dummy.c -v -Wl,--verbose &> dummy.log &&
+readelf -l a.out | grep ': /lib' &&
+
+grep -o '/usr/lib.*/crt[1in].*succeeded' dummy.log &&
+grep -B4 '^ /usr/include' dummy.log &&
+grep 'SEARCH.*/usr/lib' dummy.log |sed 's|; |\n|g' &&
+grep "/lib.*/libc.so.6 " dummy.log &&
+grep found dummy.log &&
+
+rm -v dummy.c a.out dummy.log &&
+
+mkdir -pv /usr/share/gdb/auto-load/usr/lib &&
+mv -v /usr/lib/*gdb.py /usr/share/gdb/auto-load/usr/lib